%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check

%global crate routinator

Name:           rust-routinator
Version:        0.13.2
Release:    1%{?dist}
Summary:        RPKI relying party software

License:        BSD-3-Clause
URL:            https://crates.io/crates/routinator
Source0:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
An RPKI relying party software.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
License:        BSD-3-Clause AND (Apache-2.0 OR MIT) AND Apache-2.0 AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR ISC OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND ISC AND MIT AND OpenSSL AND (MIT OR Apache-2.0 OR Zlib) AND MPL-2.0 AND (Unlicense OR MIT) AND (Zlib OR Apache-2.0 OR MIT)

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc CONTRIBUTING.md
%doc Changelog.md
%doc README.md
%doc SECURITY.md
%{_bindir}/routinator

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CONTRIBUTING.md
%doc %{crate_instdir}/Changelog.md
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/SECURITY.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+arbitrary-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+arbitrary-devel %{_description}

This package contains library source intended for building other packages which
use the "arbitrary" feature of the "%{crate}" crate.

%files       -n %{name}+arbitrary-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+aspa-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+aspa-devel %{_description}

This package contains library source intended for building other packages which
use the "aspa" feature of the "%{crate}" crate.

%files       -n %{name}+aspa-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+native-tls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+native-tls-devel %{_description}

This package contains library source intended for building other packages which
use the "native-tls" feature of the "%{crate}" crate.

%files       -n %{name}+native-tls-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+routinator-ui-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+routinator-ui-devel %{_description}

This package contains library source intended for building other packages which
use the "routinator-ui" feature of the "%{crate}" crate.

%files       -n %{name}+routinator-ui-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rta-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rta-devel %{_description}

This package contains library source intended for building other packages which
use the "rta" feature of the "%{crate}" crate.

%files       -n %{name}+rta-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+socks-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+socks-devel %{_description}

This package contains library source intended for building other packages which
use the "socks" feature of the "%{crate}" crate.

%files       -n %{name}+socks-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tls-devel %{_description}

This package contains library source intended for building other packages which
use the "tls" feature of the "%{crate}" crate.

%files       -n %{name}+tls-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ui-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ui-devel %{_description}

This package contains library source intended for building other packages which
use the "ui" feature of the "%{crate}" crate.

%files       -n %{name}+ui-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.13.2-1
- initial build
